using System;
using System.Data;
using System.Xml;
using System.Collections.Generic;
using System.Collections;
using System.Text;
using System.Web;
using IlgharCMS;
using IlgharCMS.SystemModule;
public partial class CIlgharCMS : IlgharCMS.Lib.AdminPageBase
{
public CIlgharCMS()
: base("IlgharCMS.SystemModule/utility/data/list.dwt.aspx")
{}
protected XmlDocument _xmlTemplate;
protected override void OnInit(EventArgs e)
{
base.OnInit(e);
_xmlTemplate = XmlData.GetXmlDocument();
if (!String.IsNullOrEmpty(Request.QueryString["GetPageCount"]))
                            {
                                Response.Write(1);
                                Response.End();
                            }
                        
}

                            protected int t2329IDCounter = 0;
                            protected object t2329IDRecord = null;
                            private DataTable t2329IDData;
                            protected DataTable t2329ID
                            {
                                get
                                {
                                    if (t2329IDData != null)
                                        return t2329IDData;

                                    t2329IDData = t2329ID_;
                                    return t2329IDData;
                                }
                            }
                        
                                private DataTable t2329ID_
                                {
                                    get
                                    {
                                        

                                        

                                        int instanceID;
instanceID = InstanceID;

                                        using (IlgharCMS.SystemModule.IUtility bll = (IlgharCMS.SystemModule.IUtility)Manager.CreateObject("Utility", instanceID, ContentLang, false))
                                        {
                                            t2329IDData = bll.GetDbBackupList();
                                        }

                                        return t2329IDData;
                                    }
                                }
                            
                            protected string t2329
                            {
                                get
                                {
                                    XmlNode node = _xmlTemplate.SelectSingleNode("//t2329");
                                    Dictionary<string, object> replacementPair = new Dictionary<string, object>();
                                    replacementPair["{#Name#}"] = IlgharCMS.SystemModule.Alias.Utility.Name;
                                    StringBuilder all = Manager.Build(node, t2329ID_, replacementPair, ref t2329IDRecord, ref t2329IDCounter);
                                    
                                    
                                    
                                    return all.ToString();
                                }
                            }
                          }
